$(function () {
	// Получаем код шаблонов
	var def = {
		headerRow: $('#header-row-template').html(),
		row: $('#row-template').html()
	},

	globalTemplate = doT.template($('#global-template').html(), undefined, def),
	selectLangTemplate = doT.template($('#select-languages-template').html()),

	body = $('body');

	// Шлём асинхронные запросы
	$.when(
		$.getJSON('json/ru.json'),
		$.getJSON('json/data.json')
	).done(function (lang, data) { // и, когда они оба выполнились
		var lang = lang[0],
			data = data[0];

		// преобразуем шаблоны в html-код и вставляем их в body
		body
			.append(selectLangTemplate({
				languages: data.languages
			}))

			.append(globalTemplate({
				data: data.programmingLanguages,
				lang: lang
			}));

		// при смене языка обновлям обновляем содержимое body
		$('#select-language').change(function () {
			$.getJSON(this.value, function (lang) {
				$('#wrapper').remove();
				body
					.append(globalTemplate({
						data: data.programmingLanguages,
						lang: lang
					}));
			});
		});
	});
});